package mapper

import (
	webServerEntity "cicv-data-closedloop/amd64/score_server/entity"
	"cicv-data-closedloop/common/config/c_db"
	"cicv-data-closedloop/common/config/c_log"
	"cicv-data-closedloop/common/util"
)

func SelectAllFromExam() []webServerEntity.ExamPo {
	var result []webServerEntity.ExamPo
	selectSql, err := util.ReadFile(c_db.SqlFilesMap["exam-select-all.sql"])
	if err != nil {
		c_log.GlobalLogger.Error("读取sql文件报错：", err)
		return nil
	}
	// 可以传参数
	if err = c_db.MysqlDb.Select(&result, selectSql); err != nil {
		c_log.GlobalLogger.Error("数据库查询报错：", err)
		return nil
	}
	return nil
}
